Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.identification
Class InitiativeType

    Object
      CodeList<InitiativeType>
          InitiativeType

All Implemented Interfaces:
  Serializable, Comparable<InitiativeType>

    @UML(identifier="DS_InitiativeTypeCode",
         specification=ISO_19115)
    public final class InitiativeType

extends CodeList<InitiativeType>

Type of aggregation activity in which datasets are related

Since:
  GeoAPI 2.1
See Also:
  Serialized Form

Field Summary
`static InitiativeType` | `CAMPAIGN` Series of organized planned actions.
`static InitiativeType` | `COLLECTION` Accumulation of datasets assembled for a specific purpose.
`static InitiativeType` | `EXERCISE` Specific performance of a function or group of functions.
`static InitiativeType` | `EXPERIMENT` Process designed to find if something is effective or valid.
`static InitiativeType` | `INVESTIGATION` Search or systematic inquiry.
`static InitiativeType` | `MISSION` Specific operation of a data collection system.
`static InitiativeType` | `OPERATION` Action that is part of a series of actions.
`static InitiativeType` | `PLATFORM` Vehicle or other support base that holds a sensor.
`static InitiativeType` | `PROCESS` Method of doing something involving a number of steps.
`static InitiativeType` | `PROGRAM` Specific planned activity.
`static InitiativeType` | `PROJECT` Organized undertaking, research, or development.
`static InitiativeType` | `SENSOR` Device or piece of equipment which detects or records.
`static InitiativeType` | `STUDY` Examination or investigation.
`static InitiativeType` | `TASK` Piece of work.
`static InitiativeType` | `TRIAL` Process of testing to discover or demonstrate something.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static InitiativeType` | `valueOf(String code)` Returns the InitiativeType that matches the given string, or returns a new one if none match it.
`static InitiativeType[]` | `values()` Returns the list of `InitiativeType`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CAMPAIGN

    @UML(identifier="campaign",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final InitiativeType CAMPAIGN

  Series of organized planned actions.

### COLLECTION

    @UML(identifier="collection",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final InitiativeType COLLECTION

  Accumulation of datasets assembled for a specific purpose.

### EXERCISE

    @UML(identifier="exercise",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final InitiativeType EXERCISE

  Specific performance of a function or group of functions.

### EXPERIMENT

    @UML(identifier="experiment",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final InitiativeType EXPERIMENT

  Process designed to find if something is effective or valid.

### INVESTIGATION

    @UML(identifier="investigation",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final InitiativeType INVESTIGATION

  Search or systematic inquiry.

### MISSION

    @UML(identifier="mission",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final InitiativeType MISSION

  Specific operation of a data collection system.

### SENSOR

    @UML(identifier="sensor",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final InitiativeType SENSOR

  Device or piece of equipment which detects or records.

### OPERATION

    @UML(identifier="oepration",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final InitiativeType OPERATION

  Action that is part of a series of actions.

### PLATFORM

    @UML(identifier="platform",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final InitiativeType PLATFORM

  Vehicle or other support base that holds a sensor.

### PROCESS

    @UML(identifier="process",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final InitiativeType PROCESS

  Method of doing something involving a number of steps.

### PROGRAM

    @UML(identifier="program",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final InitiativeType PROGRAM

  Specific planned activity.

### PROJECT

    @UML(identifier="project",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final InitiativeType PROJECT

  Organized undertaking, research, or development.

### STUDY

    @UML(identifier="study",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final InitiativeType STUDY

  Examination or investigation.

### TASK

    @UML(identifier="task",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final InitiativeType TASK

  Piece of work.

### TRIAL

    @UML(identifier="trial",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final InitiativeType TRIAL

  Process of testing to discover or demonstrate something.

Method Detail

### values

    public static InitiativeType[] values()

  Returns the list of `InitiativeType`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<InitiativeType>`

### valueOf

    public static InitiativeType valueOf(String code)

  Returns the InitiativeType that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.